{
  pkgs,
  lib,
  ...
}: let
  plugins = (import ./extensions.lock) {
    pkgs = pkgs;
    lib = lib;
  };
in {
  programs.vscode = {
    extensions = with plugins; [
      # General
      bpruitt-goddard.mermaid-markdown-syntax-highlighting
      davidanson.vscode-markdownlint
      yzhang.markdown-all-in-one
    ];
    userSettings = {
      "github.copilot.enable" = {
        "markdown" = true;
      };

      "[markdown]" = {
        "editor.defaultFormatter" = "esbenp.prettier-vscode";
      };
    };
  };
}
